package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFDN8 extends MwfRequest<MWFDN8, MWFDN8Response> {

    @Parameter(name = "CM_ID_IN")
    MWFDN8 cmIdIn(String cmIdIn);
    @Parameter(name = "DOC_FORMAT")
    MWFDN8 docFormat(String docFormat);
    @Parameter(name = "DOC_URL_IN")
    MWFDN8 docUrlIn(String docUrlIn);
    @Parameter(name = "OUTPUT_MODE")
    MWFDN8 outputMode(String outputMode);
    @Parameter(name = "UlozitPNG")
    MWFDN8 ulozitPNG(String ulozitPNG);
    @Parameter(name = "WIDTH")
    MWFDN8 width(Long width);
}
